## Name

log2 — return the base 2 logarithm of the parameter

## Declaration

`genType log2(` | genType x`)`;

## Parameters

`x`

  Specify the value of which to take the base 2 logarithm.

## Description

`log2` returns the base 2 logarithm of `x`. i.e., the value y which satisfies x 2 y. Results are undefined if x 0.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
log2 | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

exp, log, exp2

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.